## lpsolve
Class VersionInfo

    java.lang.Object
      lpsolve.VersionInfo

public class VersionInfo
extends java.lang.Object

Contains the full version info for a lp_solve library instance.

Author:
  Juergen Ebert

Constructor Summary
`VersionInfo(int major, int minor, int release, int build)` Creates a new instance of this class

Method Summary
`int` `getBuild()`
`int` `getMajorversion()`
`int` `getMinorversion()`
`int` `getRelease()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionInfo

    public VersionInfo(int major,
                       int minor,
                       int release,
                       int build)

  Creates a new instance of this class

Method Detail

### getBuild

    public int getBuild()

  Returns:
    value of the build attribute

### getMajorversion

    public int getMajorversion()

  Returns:
    value of the majorversion attribute

### getMinorversion

    public int getMinorversion()

  Returns:
    value of the minorversion attribute

### getRelease

    public int getRelease()

  Returns:
    value of the release attribute

Copyright © 2004 - Juergen Ebert